Changelog
---------

1.28
*client*
- sprites & tiles replaced with images suffixed with "-noblood" when blood disabled
- double direction key press is used instead of holding Alt. key to intitiate auto-walk
- players can set continuous movement to continue walking after map change or teleport without releasing direction key


1.27
*world*
- many new NPC and enemy sprite images
- separate sprites for mountain orcs: chief, hunter, warrior
- moved vulcanus, tomi, & zekiel animated tilesets to tileset/character directory
- NPCs will now change direction after collision with another entity by default.
- Extra player outfits added.

*client*
- players can change skin color
- sprite "dead_ent" renamed to "old_ent" to match enemy name

*controls*
- auto-walk

The Arianne project would like to give special thanks to Cabbit
who created the base template sprites that are used throughout
this release, & diamonddmgirl for her additions to the set:

- Svetlana Kushnariova (Cabbit)  https://opengameart.org/users/cabbit
- diamonddmgirl                  https://opengameart.org/users/diamonddmgirl

We would like to thank OpenGameArt.org & the rest of its community,
specifically the following authors. Many of which may not have
contributed directly to Stendhal, but whose works helped make this
release:

- amaranthia                     https://opengameart.org/users/amaranthia
- Andrew Kelley (superjoe)       https://opengameart.org/users/superjoe
- Angry Amish                    https://opengameart.org/users/angry-amish
- artisticdude                   https://opengameart.org/users/artisticdude
- bagzie                         https://opengameart.org/users/bagzie
- Barbara Rivera
- Bertram                        https://opengameart.org/users/bertram
- bluecarrot16                   https://opengameart.org/users/bluecarrot16
- Calciumtrice                   https://opengameart.org/users/calciumtrice
- Casper Nilsson                 https://opengameart.org/users/cnilsson
- Charles Gabriel (Antifarea)    https://opengameart.org/users/charlesgabriel
- Cobra Hubbard (BlueVortexGames)
                                 https://opengameart.org/users/bluevortexgames
- Crisisworks                    https://opengameart.org/users/crisisworks
- Curt                           https://opengameart.org/users/curt
- Dan Štefka (sufan02)           https://opengameart.org/users/sufan02
- Daniel Eddeland (daneeklu)     https://opengameart.org/users/daneeklu
- danielmahon                    https://opengameart.org/users/danielmahon
- DkuCook                        https://opengameart.org/users/dkucook
- Dominik Gmiterko (ienze)       https://opengameart.org/users/ienze
- Fabzy                          https://opengameart.org/users/fabzy
- GrumpyDiamond                  https://opengameart.org/users/grumpydiamond
- Hyptosis                       https://opengameart.org/users/hyptosis
- isaiah658                      https://opengameart.org/users/isaiah658
- Jetrel                         https://opengameart.org/users/jetrel
- Johann C                       https://opengameart.org/users/johann-c
- Kemono                         https://opengameart.org/users/kemono
- Kevin Smith (TKZ Productions)  https://opengameart.org/users/tkz-productions
- Lanea Zimmerman (Sharm)        https://opengameart.org/users/sharm
- lawnjelly                      https://opengameart.org/users/lawnjelly
- Leonard Pabin                  https://opengameart.org/users/leonard-pabin
- LordNeo                        https://opengameart.org/users/lordneo
- Lori Angela Nagel (Jastiv)     https://opengameart.org/users/jastiv
- Michael Williams (BizmasterStudios)
                                 https://opengameart.org/users/bizmasterstudios
- Michele Bucelli (Buch)         https://opengameart.org/users/buch
- mold                           https://opengameart.org/users/mold
- Nila122                        https://opengameart.org/users/nila122
- NoLogoGames                    https://opengameart.org/users/nologogames
- One Man Army                   https://opengameart.org/users/one-man-army
- Onno Timmerman (Enquest)       https://opengameart.org/users/enquest
- patvanmackelberg               https://opengameart.org/users/patvanmackelberg
- Rayane Félix (RayaneFLX)       https://opengameart.org/users/rayaneflx
- RedVoxel                       https://opengameart.org/users/redvoxel
- Shepardskin                    https://opengameart.org/users/shepardskin
- Spring                         https://opengameart.org/users/spring
- Sollision                      https://opengameart.org/users/sollision
- Stephen Challener (Redshrike)  https://opengameart.org/users/redshrike
- Tracy                          https://opengameart.org/users/tracy
- Tuomo Untinen (Reemax)         https://opengameart.org/users/reemax
- William Thompson               https://opengameart.org/users/williamthompsonj
- Wolfgang Wozniak (Ouren)       https://opengameart.org/users/ouren
- Wolthera van Hövell tot Westerflier (TheraHedwig)
                                 https://opengameart.org/users/therahedwig
- wulax                          https://opengameart.org/users/wulax
- Xenodora                       https://opengameart.org/users/xenodora
- Yamilian                       https://opengameart.org/users/yamilian
- Yar                            https://opengameart.org/users/yar
- yolkati                        https://opengameart.org/users/yolkati
- Zachariah Husiar (Zabin)       https://opengameart.org/users/zabin
- ZaPaper                        https://opengameart.org/users/zapaper
- ztn                            https://opengameart.org/users/ztn

We would also like to thank these authors from other communities:

- Daniel Cook       http://www.lostgarden.com/
- Firkin            https://openclipart.org/user-detail/Firkin
- Guido Bos         http://www.neorice.com/
- johnny_automatic  https://openclipart.org/user-detail/johnny_automatic
- leangoro          https://openclipart.org/user-detail/leangoro
- liftarn           https://openclipart.org/user-detail/liftarn

And finally, thank you to the Stendhal project members Kimmo Rundelin (kiheru),
olonu, & Jordan Irwin (AntumDeluge) who put in extra hours of work to take on
the huge task of creating & replacing sprite & tileset images.


1.26
*world*
- made new image for Gashadokuro
- made new image for Stone Golem
- made new image for Chicken
- made new image for mithrilforgernpc
- limited time in Hell due to the heat
- improved dialogues of some NPCs near Ados

*experimental webclient*
- removed outdated text and admin clients
- added popup windows
- added group management commands
- implemented stacked item management
- display zone name
- implemented gate, walk blocker and PassiveNPC
 
*bugfixes*
- fixed a double login bug resulting in item duplication (thanks to pepsz for the report)
- fixed a NullPointerException on quit dialog


1.25

*world*
- made new images for rams and lions 
- made new images for pine, locust trees and new old ents
- made new ship tiles
- added soldiers to Ados wall
- added city wall gate to Ados south
- added a fisher hut south of ados city
- widened pathways in hell

*experimental webclient*
- use "ant compilejs" to invoke closure compiler
- zone change by clicking near the zone border
- performance optimisations
- added growing spawner (grain, carrots, etc...)
- right click popup menu
- highlight npc triggers and item names in chatlog
- removed dependency on polymer



1.24

*world*
- Mermaids linger around near the outer edge of grotto 
- New images for farm animals: cow and bull
- New images for dragons: green and red as well as green and red dragon riders
- New images for ghost, death, black death and golden death
- New images for brown, green and black slimes 

*client*
- none

*changes to the experimental webclient*
- fixed crash on missing images
- updated polymer and webcomponentsjs, but MS Edge is still broken :-/
- improved drag and drop of items from corpse and chest
- added dragable PopupWindow (e. g. for corpse inventory, menus and dialogs)



1.23

*world*
- Mizuno sells ice, fire, and light arrows. 
- Because of a bad curse, many creatures, animals and people have lost their appearance
- Please join us at https://stendhalgame.org/chat/ if you want to help with creating new graphics 


1.22

*world*
- Winter has started and the weather shows it
- Semos is decorated for Christmas
- New Christmas song: "O how joyfully"  
- KillMonks quest history shows tally marks

*client*
- fixed "under the ocean" layer on clients without support for full alpha.


1.21

*world*
- Pets can drink 'medicine' even when they aren't hungry. Making them easier to maintain in battle.
- New trader NPC (Mizuno) travels around remote parts of Ados selling ice arrows for black pearls.
- Rebalancing vampire, chaos swords.
- Photo booth at Mine Town Revival festival
- Small improvements to maps
- Small improvements to item and monster descriptions

*client*
- Default action of chest changed to open/inspect instead of look

*fixes*
- Help For the Harvest quest works again.

*code*
- In TeleporterBehaviour, zoneName.startsWith() 
  now checks a variable so teleporting NPCs can be a little more customizable.
- TeleporterBehaviour can now be passed an array of zones to choose from or leave null for the default list.

*future changes* 
- preparation for testing pet leveling and growing
- Fighting pets will attack things along side their owners. Instead of just in self-defense.



1.20

*world*
- Humans lose conscious when scuba gear is take off under water
- Improved thunderstorms
- Archer combat is now visible
- Harold understands "prolong all" now

*code*
- Support Postgres databases in addition to H2 (recommended) and MySQL
- Setup Travis for continuous integration tests and fixed some order dependent tests 
- Migrated test coverage analysis from Cobertura to Jacoco 
- Git repository is mirrored instantaneously between Github and Sourceforge in both directions
- Yearly special event quests now pick up the current year as part of their quest slot automatically
- Backend for puzzles

*fixes*
- Christmas quest "Goodies for Rudolph" is now repeatable next year
- Fixed maximization state being sometimes saved incorrectly.
- Database index are now created automatically




1.19

*world*
- new interesting under water zone
- new quest for a scuba diving license
- new Kraken creature
- Zekiel can make enhanced lion shields
- Cats can drink milk now
- map improvements

*code*
- fixed compiler warnings and code cleanup

*client*
- added cancel buttons on all dialog boxes (for window managers which do not add an X to the title bar)




1.18
18th August 2015

*world*
- a half elf girl and an distillery customer share their stories at Ados market
- Improving dialogue of Lil Johnnny
- Saskia sells umbrellas


*website*
- zone names labels on world map
- http://arianne.sourceforge.net is moving to https://arianne-project.org

*fixes*
- fixed status resistance items being forgetting their status value
- fixed turning left and right of character on character creation web page
- fixed map in Orril Dungeon -3
- fixed kill enemy quests getting stuck


*code*
- Webstart starter will be able to check both arianne-project.org and arianne.sourceforge.net for additional files.
  So if SourceForge goes down again for a week, webstart will still be able to download Stendhal
- code quality improvements


1.17
20th april 2015

*world*
- A new fish swimming along the coast in Ados City
- Different "elf" head for players and NPCs
- New corpse for bone dragon
- Added to Daily Item Quest list:
-- 5 olives, 2 marbles
- Varying weather at outside zones
- Drunken player speech is now more confusing and depends on the state of drunkenness
- New item medicinal ring: Slightly protects against poisoning
- Alternative ATK XP training with "testing.combat" defined defined for server
- Optional ranged attack (RATK) stat with "testing.combat" defined for server
  and client
- Mainio boots reward instead of steel boots from Kanmararn Soldiers quest
- Corpse descriptions state the creature name, instead of just the creature class

*client*
- Emote character map available by passing -Dtesting.chat to VM
- Can restore window width, height, and maximized state
- Drawing weather can be disabled in settings
- More visible new chat message indication
- Links to stendhalgame.org in the chat log can be opened with a mouse click
- The client can draw a weapon sprite with the attack swipes, if one is available
- Expiremental auto-walk feature toggled on/off with "/walk" command and off
  with "/stopwalk"

*code*
- Alias "zucchini" for "courgette"
- Alias "armour" for "armor"
- Alias "color" for "colour"
- Alias "extend" for "prolong"
- Organized outfit parts into subdirectories
- Changed "player_base" outfit type to "body"
- Entities can now pass through collision tiles with "setIgnoresCollision()"
- Items can be given status resistance with StatusResistantItem implementation
- New SlotActivatedItem enables an item's attributes when equipped to specified
  slots
- A new script for replacing maps on a running server
- Player entity stops walking on non-object collision

*chat*
- Alias "/status" for command "/sentence"
- "sentence" is now displayed in player description when using "Look"

*visuals*
- Active entities reset animated sprite index to 1 to appear standing when stopped
- Zombie status is indicated by making the player green
- Animated flame tiles replaced in int_semos_wizards_tower_1

*fixes*
- Fix player cannot move after zombie status wears off
  - zombie status removed for release
- Karma reward for quests: Kill Dhohr Nuggetcutter, Coal for Haunchy
- Refactored tiled/tileset/plant/cactus_2.png
- Refactored tiled/tileset/object/row_boat.png
- Reporting killers on an entity death no longer lists all attackers at the time
  of death
- The server no longer sends perceptions for deleted entities
- Fix client chat box never loses focus so key release events are not lost
- Fix mouse wheel walking bug where character walks endlessly



1.16
15th December 2014

*world*
- Semos city is decorated for Christmas
- Falling snow
- Leaderhosen outfit 


*code*
- weather layer



1.15.1
26th October 2014

- fixed a bug which caused poisoned summon creates to die multiple times



1.15
5th October 2014

*world*
- Mine Town Revival Weeks are celebrated again!
- new quest: Finn Farmer has an important message
- better fitting curves to limit player stats

*client*
- repeatable quests are marked in progress log
- added support for translucency sprites on systems which are fast enough

*website*
- updated world map

*admins*
- admins can summon public chests
- admins can remove sentences

*code*
- small bug fixes
- code cleanup, fixed compiler warnings



1.14
2nd June 2014

*world*
- new park in Fado city, south of church
- Easter map for Fado city

*website*
- unified search: creatures, items, quests, achievements, players, world guide, player's guide
- integration of wiki pages
- detail pages for quests, regions and dungeons
- links from NPC, items and creatures to related quests
- new, cleaner layout with drop down menus
- breadcrumbs for easier navigation
- gallery for screenshots
- website now works on small devices


*fixes*
- length of text messages limited and line breaks fixed on Java 7/8
- wedding ring supports double click
- message on shocked
- code cleanup and documentation improvements
- excessly high atk and def level are capped for fighters with little experience 
  (average players should not notice much of a difference)



1.13
10th February 2014

*world*
- nice zone names
- dragon slayer achievement
- Xeno helmet added to NPC purchasing shops
- improvements to maps
- rats are so hungry that they are not scared by weak people anymore

*fixes*
- fixed webstart on Oracle Java
- postman messages are now filtered by the ignore list
- fixed item description for canned tuna (item name underlining)

*website*
- removed myopenid as it is going to be discontinued


*developer's note*
- If you developed a game based on stendhal and use the automatic updater, 
  you will need to edit game.properties and add UPDATE_SIGNER_KEY. 
  The required value will printed in the webstart console.


1.12.1

*fixes*
- disabled reference to an empty item file which broke the website
- fixed a karma exploit on accepting accpeted quests
- fixed PVP defense against weaker players 


1.12
12th December 2013

*world*
- New Christmas maps for bank, townhall, storage (Eonnas house, all Semos)
- Meet Santa and Rudolph
- Dragon now notice small players right in front
- Reworked normal storage interior
- More creature descriptions
- New stocking items, deleting coal
- New sounds and images

*fixes*
- Fixing tiles on several maps
- Sometimes xp reward for killing creatures was too low, if the player logged out during the fight
- On expire of a special outift, a message was displayed, even when the outfit has been removed beforehand

*website*
- Display name of ip-address on login history

*developer*
- Replaced commons-lang.jar with guava.jar (needs to be changed in Eclise: Project | Properties | Build Path | Libraries)



1.11
15th October 2013

*world*
- Mine Town Weeks are celebrated
  - New Paper chase quest
  - New Sokoban game
  - all the games from last years festival are back
- Margaret accepts coupons
- New look for Semos plains
- More creature descriptions
- Added fairy cakes to daily item quest
- Icons to indicate healer and merchant NPCs
- Pebbles sprite replaced by rocks in some collision areas on maps
- New achievement: Fisherman

*client*
- Notifies player of last login attempt
- Subwindows on the right side panel can be arranged by the user

*fixes*
- Screen flashing during zone colouring change has been fixed
- Resizing karma bar no longer causes it to flash
- Font setting changes opening travel log window has been fixed

*code*
- Status icon positions are automatically arranged
- Poisoning and new status effects handled with new system



1.10
9th September 2013

*world*
- More creature descriptions
- Added 3rd frame to cyclops and cave troll for smoother walking effect
- Animated sprite for diamond
- Touched up sprites for some creatures
- NPC Seremela has a new sprite
- Touched up elf ears for some NPCs
- Added reversible path on collision to Eheneumniranin
- Added achievement "A Bit Xenophobic"
- Reworked area around ghost in Ados city_n

*client*
- Now handles images for multiple status effect icons/animations
- On multi-screen systems updater windows open on the screen with the mouse pointer
- Shop signs can have animated item images
- Game opens in the initial window

*fixes*
- Fixing table entities in Kalavan houses
- Exchanging white round tables in fado city
- Clicking the menu button when the menu is open, closes it

*code*
- NPC sound effects are handled by server
- Sheep sounds are generated server side
- Domestic animals and NPCs use the same idea handling code in the client

1.09
25th July 2013

*world*
- New quest: Traps for Klaas
- New quest: Help with the Harvest
- New achievement: A Bit Xenophobic
- New item: xeno helmet dropped by xenocium
- Captain of Athor Ferry named Captain Brownbeard now
- Sprite fixes:
  - Ogre soldier's front & back facing helmet fixed to match side view
  - All dark elves now have elf ears, Elf ears on many elves made more visible and cleaned up
  - Re-drew/touched up many creature sprites including Grobble monster and Winged blurble
- Added new harmless corpses to the following creatures:
    ice giant, elder giant, lord durin, cave troll, imperial general giant, master giant,
    black giant, amazoness giant, kasarkutominubat
- Sound effect played when player dies
- Added to list of maps where Rose Leigh will not teleport
- Most blue items moved from Daily Item Quest to Weekly
- Added dwarvish legs to Femme Fatale's shop
- Sound effects for fishing source and water spring source

*client*
- Karma indicator bar flashes for karma change
- Movement prediction when using keyboard adapts to network latency

*fixes*
- Alice Farmer answers to "crepes suzette"
- TeleporterBehaviour badZones table updated
- Replaced tilesets:
    table_white_round tileset with table_white, bench_white, orb_table, skull_post
- Marked apothecary's lab and cabin as inaccessible
- Player's head no longer shows when walking in minecart tunnels in -2_semos_mine_n_e2
- Item names in shop lists are now properly underlined
- Spurious double click usages on items not meant to be usable removed

*code*
- PassiveNPCs using random paths can be set to have a maximum movement radius
- NPCs can be set to reverse their path on collision
- QuestCheckingPortal can now check quest state



1.08
5th June 2013

*world*
- New NPC and quest in Nalwor Flower Shop: Restock Flower Shop
- New achievements: Nalwor's Bane and Feeling Blue
- New puppy NPC in Semos City
- Rodent trap added to Daily Item Quest
- Some new creature sound effects
- Some new creature corpses
- New NPC type: PassiveNPC
- Warning messages for dangerous areas now show up in client display
- Sound plays when player/creature blocks an attack
- Item names have a new highlighting mode
- Twin swords have a bit of DEF again
- Teddies can be hugged
- Food and drinks have "Eat" and "Drink" menu items, instead of "Use"
- House keys are no longer dropped on death
- Bufferflies added to Semos Plains North
- Rabbits added to Fado City
- Fish added to fountain in Ados City
- 3 kitten added to Felina's house


*client*
- Option to turn off creature speech bubbles
- Fixed accidental looting on drag by deactivating ctrl-click as looting command
- Immediate response when starting to move with arrow keys
- Attack sprites are scaled according to attacker size
- Player now faces attack target if not doing so on each turn


*fixes*
- quest log of EmotionCrystals fixed
- Removed background noise from many sound effects
- Pressing an arrow key always tries to move one tile
- Producers don't ask to come back in the past under certain conditions anymore
- Hayunn won't give more than one task at a time
- Stone style for client fixed

*code*
- @Override added where applicable
- Reduced visibility of several classes, methods and fields
- Unused old code removed



1.07
18th April 2013

*world*
- Mayor Chalmers and Hazel heard of new items they could need
- Katinka wants just the best for her animals with more food
- Adventurers have discovered a pit full of snakes beneath Ados caves
- New dropped items: elvish hat
- New quest items: stone legs
- More light on Ados market, around Athor island and more light effects 
- New look for mountain orc 
- Dwarves rebuilt rails in Semos Mine
- Introducing Mimics, cobra, king cobra, and lamia to the world
- More sounds and descriptions for creatures
- Some creatures went up to the mountains
- Pdiddi warns first customers about the risk of his pills
- Someone fixed the pianos and clocks in Faiumoni
- Home owners now have running water
- Athor's ferry has begun "creaking". Probably due to old age.
- Jef feels better but still wants to hear from his mom
- Pushable stone blocks have been spotted
- Background music in hell underlines atmosphere
- Growing cherry trees spotted on Orril Mountain

*client*
- A lot of redrawn tilesets
- style changeable from settings menu

*fixes*
- Special character in offline messages (postman messages) work now
- Fixed imperial defender sprite
- Map fixes (e.g. collision errors and layers)
- Slightly increasing drop rates for blue items


1.06
12th February 2013

*world*
- more light in Ados city
- some creatures drop blue items now
- more creature descriptions added
- new sprite shown when blood and corpses setting is turned off
- new sound effects for multiple creatures
- Leander explains his task better 
- new corpses for slimes, ents and stone golems
- dwarvish legs now available

*client*

*fixes*
- Alice Farmer understands players better
- Vincento Price can count correctly
- Collision touchups around trees on many maps
- Elementals in hell can't collide any longer
- "Far South" achievement reachable now


1.05
15th December 2012

*world*
- added Rudolph and a quest for goodies
- added reindeer moss as a seasonal goody
- Santa is out for Christmas

*client*
- A lot of redrawn images
- The game screen can be scaled. The scaling can be turned off in settings to get the old behaviour
- Karma bar fits to the width of the left panel
- Travel log updates to font preference change immediately
- Font size used in the client can be changed

*fixes*
- fixed tic-tac-toe board not being drawn when the top left corner is not on screen
- fixed a bug that could cause items being lost in trade
- fixed the automatic scrolling of the chat log sometimes turning off by itself
- several small fixes to entity views sometimes missing changes

1.04
22th October 2012

*world*
- Mine Town Revival Weeks!
- Semos and the Mine Town are decorated for the celebrations
- new paper chase quest which leads players all over the world
- Ketteh now gets help from the guards, if players without any clothes(!) ignore her warning
- jail exit is straight to outside the cell
- bulletin board added to bank for future announcements and general fun
- olive added as food item to allow for addition of olive oil - several trees added to maps for this
- jail added to rat city 

*client*
- replaced the separate menu buttons with one large menu 
- HP bar of ignored players is drawn in full color to make them visible at night
- chat spam filter takes the length of the messages into account

*fixes*
- webstart client now uses a styled font (e. g. for the quest log)
- fixed players becoming invisible because of broken attack target reference
- trading stack items properly
- map fixes

*website*
- added a little pumpkin


1.03
12th September 2012

*world*
- Ados Botanical Gardens
- new lamps 
- map layering and collisions fixes
- new blend mode for enabling lighting in any zone
- Monogenes informs players about public chest
- 3 achievements activated 

*fixes*
- don't accidently pick the first item on click spam on an item which was used up
- fixed return from adventure island into the wall
- Monogenes map is up to date now
- Ados market signs more specific now
- Adena got vegetables from farms near Semos

*internal*
- creates selenium test for the stendhal website
- actions use item paths where applicable
- journal for merchants

*website*
- email-address can now be changed




1.02
7th August 2012

*world*
- clocks around the world show the server time
- vampires change their appearance depending on their attack status
- boy guardian in Semos Road East warns new player who miss a shield
- reduce Starkad's cost for lower level creatures and increase for higher level
- ninjas use shurikens for ranged attack
- more dragons breath fire
- lamps and lights effects added to ados market, gnome village, catacombs, haunted house, amazon island and more
- zone colouring added to hell, new dreamscape map, maze (randomised), adventure island, afterlife, drow tunnels, rat city
- semos temple and tavern upstairs maps reworked
- new npc food seller and signs for ados market

*client*
- fancy tutorial speech bubbles
- nicer look of the attack circles
- slash commands have tab completion, suggestions of close matches for misstyped commands
- a second splitter between the left panel and the game screen
- added textual description to the karma bar tooltip
- away and grumpy indicators show the reason in their tooltips
- the client gets ranged attack information from the server instead of trying to
  guess which attacks are ranged
- quit dialog gets keyboard focus so that it is possible to exit the game without a mouse
- improved key handling and font sizes on Mac
- refined money and cheese sprites

*fixes*
- automatic walking behind a slow creature or npc will now properly try to find the way around it
- lucky charms are bound to the player at loot time
- fixed removal of choking, away and grumpy icons that failed to be removed under certain conditions
- make killer bees less dangerous(!)
- various NPC, quest and map fixes

*code*
- added script for adding/removing/alter/list of NPC's transitions.
- creatures can have different nature for ranged attacks than in melee
- events can trigger animations
- some dependency cleanup



1.01.1
5th July 2012

*fixes*
- fixed slow processing of sound data causing lag on zone change and on spawning of sound aware creatures

1.01
1st July 2012

*world*
- Venethiel teaches players about Haizen's maze
- Will warns players leaving Semos city 
- reworked Fado hotel restaurant 
- more creature descriptions added
- moved Semos city wall into the city
- Monogenes is now next to the bird station in Semos city
- Users can grab items bound to them even if they are under another player
- Player bound items do not move under pushed player, unless they belong to the said player
- Mixed creature fighting profiles. Used mainly for dragons, who will attack at a distance if they can't get close to player
- killer bees are a new creature in fado forest
- Zinnia, Calla, Lobelia and Periwinkle hint which nearby quests you still need to start (that fit your level) 

*other*
- added /profile <name> to open the webprofile of a character
- reworked the in-game spam protection
- admin command (*) inspect includes Java class name

*website*
- Navigation box shows number of unread messages after login
- Statistics on number of active accounts and characters

*client*
- private messages are shown in their own tab in addition to the main chat log
- new images for cherub and golden trees
- users can reorder items in bag and chests
- prefer user owned items when trying dragging from under other players
- added a new outfit

*note to forks*
- UpdateSigner now looks for a parameter keystore.update-alias instead of keystore.alias


1.00
17th May 2012

* lots of testing
* nice descriptions for many NPCs
* fixed map bugs
* added social buttons to website 



0.99
5th February 2012

*world*

- bridal outfit includes a veil
- admin names are anonymised in support answer
- many more outside zones with lighting
- producers npcs tell the player how long a task will take before starting it
- scroll eraser which cleans empty scrolls as a rare drop from some wizards
- Inactive: New achievements for the weekly item quest
- outfit image improvements, more depth and differentiation of some duplicates
- allow pushing of players with items under them by moving the items with the player
- alternative dreamscape map (on rotation)
- introducing new NPC Marie-Henri in Ados library
- dry grass at mountain areas
- include ATK and DEF to the player strenght calculation when checking if attacking is allowed
- corpse owner timer of protected corpses is restarted when the corpse is moved

*fixes*
- allow Supplies for Phalk to be continued if the special armor or cloak was accidentally sold

*client*
- Animated blends are much faster than before
- A menu item for taking screenshots
- Bleach mode supports colored light
- Blend layers can use any available blend mode



0.98
2nd December 2011

*client*

- Zones can be colored according to hour, and otherwise
- Outfit dialog resets to current outfit, when opened
- Three new outfits available
- Relative zone danger level is shown below the map

*world*

- Garlic grows in the Kalavan City Gardens
- Introducing new NPC Rachel in Ados bank
- Kalavan City houses and Athor holiday apartments have usable tables now
- Fado hotel beergarden style changed a bit
- Reworked Ados interiors in some houses
- Ados Bank got more bank chests
- Semos and Ados mountain got more vegetation
- Semos Mine Town Revival weeks ended
- Athor cocktail bar got a new style
- Ortiv Milquetoast interior reworked
- Semos mine maps at level -2 got a new ground style
- New Guess Kills quest in Nalwor City with new NPC, Crearid
- New fruits which can be collected around Faiumoni (bananas, grapes, pomegranate, watermelons)
- Coralia needs some fruit for her hat in a new quest

*fixes*

- Farmer achievement can be reached due to garlic grower implementation
- Stop player vs player attack if either player move into a protection zone
- Fixed descriptions for items that can be picked 


0.97
12th October 2011

* Revival Weeks*
- Faiumoni's inhabitants are excited for the Mine Town Revival Weeks already and decorated Semos City and the Mine Town area
- Caroline finally found her way to the Mine Town for selling snacks and drinks
- NPCs and games have been moved in relation to the former years 

*world*
- More Semos NPCs help players now if they need some advise of what to do next
- The duration of special outfits is now based on online time
- More minimum levels for items

- Semos inhabitants decided to open the new palisade wall a bit and added a new way to the south and west
- Semos city tavern/INN owners rebuild their front garden and made it quite comfortable
- New playground next to Plink at Semos_Plains_n
- Creatures of Kikareukin changed their environment on level 4 and 5
- Some mountain maps in Semos and Ados mountains changed their look
- Semos Mine Town map has a new look: the tower is gone and a new miner hut built up

- New achievements active: mainio armor set "Excellent Stuff", harvest vegetables and become a "Farmer"

*website*
- New coloured outfits can be seen on the website

*client*
- Outfit parts can be coloured
- Dialogs can be closed by pressing ESC
- Buddies can be invited to group directly from the buddy list
- Other players can be invited to group via right click menu

*fixes*
- Fixed descriptions for Ketteh Wehoh
- Fixed quest history for MedicineForTad and mentions new place of Tad in Semos Village
- Fixed some spaces which went into Tads dialogue
- Fixed missing collision in Semos city with rebuilding the palisade wall
- Blood on gates can't block these anymore
- Login dialog gets re-enabled after a failed login
- Players can not attack others from protected areas
- Working on some maps fixed layer errors
- Decreased number of sheep to eight in Semos city (they were starving before)


*internal code changes*
- table itemid was replaced with table item.


0.96
25th August 2011

*world*
- Barbarus moved his work place a bit closer to the Mines entrance and reduced the pick price to 400 money each
- Haunchy Meatoch is really thankful for the help he gets each time from players and gives them some XP now
- various animal pens have gates now. Also wolves in the park are behind a gate
- Semos has a palisade wall now to protect the city against the creatures outside
- there is a nice new beer garden in front of the Fado hotel
- Tad moved to Semos Hostel and Ketteh Wehoh, in the town hall, will remind about his quest
- the quest log hints if a quest which has been started isn't suitable for the current level
- danger signs are more prominent
- protect areas near healer npcs Katerina and Jynath and widen the entrances to avoid common social problems
 
*website*
- added an interactive Atlas to the website
- improvements to the arianne.sourceforge.net website including an rss feed
- achievements for Semos and Ados daily quests are in their own categories

*client*
- support and tutorial textboxes stay on top
- Atlas command now focuses on the current position
- added Beginner's guide to help menu
- healing messages don't spam the chat log anymore (but can be enabled in the setting dialog)
- "where" command in the group menu

*fixes*
- fixed kill enemy army quest (load again + added madaram archer and windwalker to kill-list)
- harold now understands plural words properly


0.95
14th July 2011

**** IMPORTANT****
If you package Stendhal or have forked your own game based on it
read https://stendhalgame.org/wiki/Automatic_Software_Updater
******************

- rewrote the updater so that it will not break onces a year anymore because the certificate expires
- on Unix/Linux the home folder now defaults to $HOME/.config/stendhal for new installs
- improved the best player score for low level players: https://stendhalgame.org/wiki/Fixing_RP_Score_2011

* Marauroa*
- updated to Marauroa 3.8.7 which greatly improves server side performance

*client*
- text boxes are now attached to the bottom of the screen
- renamed the stendhal-FULL-0.xx.zip to stendhal-0.xx.zip. 
  the extra client without sound made sense a long time ago
  when the full client had twice the size of the soundless client.

*world*
- John and Jane on Athor island have a disrupted holiday
- Andy, at Ados cemetery, seeks revenge
- Harold pays owed earnings instantly on start of dialogue



*fixes*
- fixed not showing zone achievements
- fixed webstart which did not work on the most recent OpenJDK version (Ubuntu 11.04, SuSE)




0.94
4th June 2011

- new achievements active: interior zones, DM points, completed quests, red armor set
- increased time for expired items and earnings on the market at Harold
- over-eating clears the food list and makes the player sick, instead of killing them
- empty corpses are not automatically inspected
- NPCs who await a specific response (e.g. for a question) have a special icon

*bugfixes*
- fixed right clicking on sources, fishing spots, etc.
- On Mac cmd+dragging opens the item split window
- client error log now works in the webstart client, too
- a number of small map fixes

*admin*
- added new zone int_abstract_admin_investigation for investigation of account issues
- added new zone int_abstract_server_down for operating Stendhal on a read only database copy

*website*
- achievements on character pages now have a mouse over box
- nicer layout for chat logs and log selection
- improved performance of Recent Events page
- improved performance of pages with many images


0.93
12th April 2011

*world*
- added ghost hound (rare) to Semos mountain cemetery
- Imorgen and her mother Mircea moved into a house in Fado forest
- deathmatch creature spawn time dependent on player level and (inversely) on number of players in ring
- get fresh water at some hidden new springs
- Kill Enemy Army quest history with more detail and records number of completions
- Xhiphin Zohos is thirsty and asks for water 
- decorated Semos for Easter
- Easter Bunny drops small easter eggs as he walks

*features*
- Easter Bunny launchable via script
- corpse auto inspect mode in settings panel
- inspected corpses auto close when empty
- corpse window title is the dead creature / player
- corpses cannot be thrown far by other players if they're protected

*website*
- new rankings for best player and hall of fame using achievements
- My & My Friends view shows true rankings
- support for special achievements from one off events

*fixes*
- Ambers way changed a bit for holding her back from Aldrin
- Jef answers to all keywords now he has information for
- death penalty rounded before application and reported as suitable precision to player
- daily/weekly quests are restarted immediately when aborted
- daily monster quest creature to kill can't be requested again by Mayor if it was aborted this time
- fix buying daisies seeds
- improvements in understanding item names when talking with merchandizers, e.g. "solid plate shields"
- fixed "porcino" singular and made NPC parser understand (some) misspelled words like "porcinis"
- non-exact answer matching in the fishermans license quiz
- recognise the expressions "ice cream" and "teddy bear"
- fix display texts for "ice cream"
- Alrak and Pequod give the bobbin/oil directly when saying 'make' (as well as 'remind') if item is ready
- fix a memory hole in the market



0.92: Achievements and Expedition Groups
26th February 2011

*features*
- achievements system with notification in game of reached achievement and website integration
- group system for sharing loots and chatting
- show Production activity in the Travel Log

*world*
- sheep growing quest from Nishiya
- Help Jef by finding his mom, Amber, in a new quest
- Caroline moved into her refurbished house in Ados 
- the required item to collect (if chosen from a list) is displayed in more quest histories
- message about where you died, on death
- sound on level up
- configurable archer range: orc spearman can throw further
- damage type of the arrows is used for archer players
- player killers pay more to get healed by NPCs
- NPCs who can list what produced items are available in the world. Katerina and Alice Farmer are examples

*client*
- character selection screen has a grid layout
- settings dialog for sound, clickmode, decorative fonts
- a GUI to aid group management
- better multi-monitor behaviour

*fixes*
- numerous small gui code fixes
- all defined achievements can now be reached
- simplified chest syncing to remove flicker
- NPC conversation with improved and unified responses of producers and merchandisers
- improved server side performance by changing Creature.getArea() to not create lots and lots of short lived objects



0.91: Quest progress
2nd January 2011

*world*
- full health bonus when you level up
- support answers via postman are orange
- Caroline (daughter of Fritz) is at Ados market
- greeting of NPCs by name
- NPCs can hear at different distances (e.g. you need to get closer to Harold but you can be further from the DM assistant)
- Stefan and Damon attend the Fado hotel
- progress log which opens in a separate window, giving detailed information about open and closed quests
- quest to help Anastasia's sick son

*fixes*
- add buddies only once to the buddy list and display their canonical name
- removing buddies who weren't on your list gives correct message
- Herbs for Carmen quest simplified
- word list improvements
- NPC text matching improvements



0.90.1
- fixed a bug which prevented logging in without at least one saved profile



0.90: Seasons Greetings
10th December 2010

*world*
- quest for Ortiv Milquetoast in Kirdneh River House
- Gaston, a Rat chef in Rat City bakery that will prepare the best crepes suzette au chocolate in town
- Erna lends kitchen equipment
- Karl sells sacks, Philomena sells butter
- Elisabeth and her mother Carey found their way to Kirdneh
- quest Chocolate For Elisabeth on Kirdneh playground
- Semos is decorated for Christmas
- Santa is visiting (and can now be made to leave after Christmas on time)
- changed corpse protection logic to be fairer
- Katerina and Jynath both heal at same price (they compromised on price, to have two locations of equally cheap healing)

*fixes*
- Wikipedian follows redirects
- positioning of entities to fix character position, attacking circles, creature placement errors
- vaults and adventure island correctly flagged as interior zones so players shouldn't land in the wrong zone
- fixed some fish sources in amazon
- 70% of FindBugs warnings and most of all Eclipse warnings fixed
- all tests now pass using the Eclipse JUnit plugin



0.89: Food, flowers and fights
24th November 2010

*features*
- quantity selector for control-drop
- corpses have resistance
- scrolls can be labelled with /markscroll command
- corpses have loot protection to anyone but the defender of the hits for a short time after death

*world*
- Eheneumniranin, a half-elf that lost his memories. He harvests the grain field in ados forest farm area
- Gertha and Martha in Kalavan city gardens, they'll bake delicious apple and cherry pies
- Wrviliza, a kobold barmaid in Wo'fol bar, she also provide new drinks (mild and strong koboldish torcibud)
- Kormic, a kobold regular in Wo'fol bar
- Uncle Dag in Ados market, he runs a distillery stand there and produces fierywater
- quest in Wo'fol (the reward is V.S.O.P. koboldish torcibud)
- artichoke, garlic, mandragora (a magical herb) and zantedeschia (a flower) and cane fields are growing in Faiumoni
- hen nests spawn eggs
- new types of empty bottles
- sickles can be used to harvest sugar cane
- a new fish-source on Amazon island
- red lionfish can be sold on the Athor ferry
- ados swamp and surroundings have a new landscape
- Bobby, a small boy in Fado, waits for some visitors
- scrying orbs around the deathmatch arena
- dead gnarled and twisted trees and bushes in the Orcs pit

*code*
- fixed calculation of player ages (it assumed that a second was 3*300ms)
- all NPCs defined with a zone configurator (standardisation across code)
- old style quests refactored to use standard conditions and actions
- drawing of the ground layers sped up



0.88: Newcomers and new trading
15th October 2010

*features*
- right click on a player to start trading with them using a GUI
- corpse and chest windows raise themselves if one with an already open window is inspected
- buddies are sorted first by online status, then by name
- don't reset to townhall on minor releases
- deathmatch assistant announces completion and player can directly claim victory

*world*
- new NPC Andy in Ados near the church
- new NPC Haunchy Meatoch on Ados market with a new quest
- new NPC Florence Boullabaisse on Ados market who will make a tasty Fish Soup for you
- new NPC Fritz on Ados market
- new NPC Barbarus in Semos Mine
- new NPC Ortiv Milquetoast in Kirdneh River House with a new quest
- new fish soup maker on Ados market (Florence Boullabaisse)
- new music in Orril Castle
- new items fish soup, garlic, grilled steak, coal, pick, red lionfish
- coal sources for extracting coal
- added garlic to Sues sales list
- new game for Semos Mine Town Revival Weeks: 9 switches
- Mayor Chalmers enlisted the Pied Piper to help with the rat problem

*website*
- animated/large NPCs like tomi and vulcanus now have an image
- display ranks on character page


0.87.1: Bug fix release
14th September 2010

- fixed an issue causing the client to be unresponsive for some windows users

0.87: New client!
13th September 2010

*world*
- NPCs have an 'ear' icon when they are attending a player
- private messages can't be sent to an /away player - use postman
- players returning from /away automatically get stored postman messages sent to them
- own pets and sheep drawn on minimap
- hoeing NPC in Semos Plains North East
- added new NPC Marla to Ados
- added some new descriptions to NPCs

*website*
- read postman messages to and from your characters
- redesign character page layout, with equipment arranged like in stendhal client
- 'Recent Events' shows what has been happening in the world
- added mouse over tips for items and monsters

*client*
- Game screen ported to swing
- Drag and drop drawn to a layer above everything
- Bag, character, keyring and settings moved out of the game screen

*code*
- improved performance of pathfinder
- use external program for twitter access instead of disabled http basic auth API



0.86: The Wizards Circle
26th July 2010

*world*
- new quest at the wizards tower in semos mountain
- new music by semos dungeon, in semos and ados townhall, semos temple, ados church and in the forest
- new sounds on the athor ship, in the ados sewers, at the ados city haven and some minor additions
- Ados and Fado churches ring their bells at full and half hours
- initial Hayunn dialog/tutorial streamlined and improved
- Diogenes tells you about postman, he recently remembered that used to be his job
- a sign at the flowers field which shows the meaning of these flowers
- marked path from semos to ados city and to the athor ferry pier on ados coast
- new npc added to ados market, who buys blue shield 
- Simon in Ados church offers helpful guidance
- blackjack max stake raised to 400
- bakers want more button mushrooms

* client
- attack targets drawn as circles
- settings panel uses icons and is always visible
- new help menus for settings panel
- "Remove account" button moved next to the account list
- right click and ignore a player, or right click and unignore an already ignored player
- /storemessage <player> <message> for using postman
- karma scale bar (activated by asking Sarzina)

*bugfixes*
- walkblocker tables have proper resistance
- Mac OSX cmd key mapping
- getting an amulet when killing thing

*code*
- portals can do actions 
- Messages from NPCs to offline players for postman can be stored in a table (without postman online)
- SBoxLayout supports alignment and padding
- support messages will get sent using postman if the player was offline
- postman uses an admin action to store messages in table

0.85: Wood, wood everywhere
27th June 2010

*features*
- all gui components use a new wood panel theme (even ones which did not have wood before)
- character selection dialog after account login
- login profiles can be cleaned up
- right click and 'Where' yourself
- /listproducers command for working NPCs
- quest to help Phalk with food and clothes
- slow down when walking over resisting entities
- take resistance into consideration when choosing path
- use more karma at the well and count activities
- added descriptions to some npcs
- new npc in ados church
- new tutorial messages for receiving items and private messages
- can turn around on spot using mouse wheel
- rats in semos village are not cowards

*code*
- players can't use npc names or creature names
- cannot add buddy who doesn't exist
- refactored Kanmararn Soldiers quest
- style code completely rewritten as a swing look & feel, and extended to all components used by stendhal
- a script for calculating item drop rarities
- quests history refactored to not use xml
- many semos npcs reverted to not use xml for configuration
  
*bugfixes*
- upper part of grain is not counted as grain (can move between grain fields)
- raid creatures no longer have attack weakest profile even if the creature normally would
- weekly item quest xp reward
- quest completed check where completed state is set to other than 'done'
- initial Hayunn dialog/tutorial cleaned up



0.84: Don't deny the desperate Despot
2nd June 2010

*features*
- new quest from Balduin if you have completed all other quests to get or collect rare weapons
- daily and weekly item quests can ask for more than one of each item at once
- eating, poisoned, grumpy and away status are shown in the stats panel
- Dr. Feelgood can heal pets
- Zoo Food quest is repeatable and food item request is randomised
- pizza delivery missions selected by level
- client can be started with username and password as parameters to bypass login gui (not for use on multi-user systems)
- an arrow effect drawn for distance attacks
- mrotho and diehelm brui sell arrows (and merenwen pays a bit less for arrows)
- sarzina sells mega potions
- temporary bans can be made using /ban
- reason for ban is visible to player
- new missile, a fire shuriken

*code*
- new simple layout manager to replace the abandoned pagelayout
- reworked zone configurators for Kill Dark Elves quest and for Kill Spiders quest.
- reworked Daily Monster quest NPC engine
- reworked kill quests to not clear player's information about previous killed creatures:
  - Daily Monster quest
  - Kill Gnomes quest
  - Kill Dhohr Nuggetcutter quest
  - Clean Storage Space quest
  - Club Of Thorns quest
  - Meet Hayunn quest
  - Sad Scientist quest
- npc conditions and actions for randomised item collection quests
- fixed bug with xp display after death
- ranged attack bug fixes on using up last missile and throwing from 1 tile away
- email address field may be left completely empty on account creation 
- /inspect command output improved for viewing quests, karma, and coordinates

*website*
- performance optimisation
- bugfixes including player display on firefox
- spouse of a married player is displayed 

0.83: Dark or Light, Fire or Ice?
30th April 2010

*features*
- Rat City extended
- Find the Rat Children quest
- some creatures have attack strategy choosing weakest opponent (e.g. dragons, military commanders, bosses)
- Zynn Iwuhos has some maps on display in the library
- Tab completion for online nick names works now without /who called before
- orc spearman creature
- /atlas /faq and /manual commands to open useful pages in browser
- Harold tweets trades, the official stendhal server uses https://twitter.com/stendhaltrade
- magical damage types of weapons (fire, ice ...)
- resistance/vulnerability of creatures to magical weapons (fire, ice, ...)
- attack sweeps look different depending on the attack type
- Haizen's maze has music near the exit
- Plan a new route when a player following a path hits another entity
- single click for most actions and contextual mouse cursors (use /clickmode if you prefer doubeclick)
- sub-zone teleport restrictions
- NPCs can respond to emote actions
- fertile ground inside houses
- zone changing using mouse is possible
- a family of NPCs holidaying in Ados
- more rats and zones for the Pied Piper quest

*bugfixes*
- archer behaviour
- zero value offers supported at market
- Monogenes easier to use
- kill spiders and dark elves quests check you killed creatures from those relevant areas
- recover automatically from corrupted cache files
- ghosts have low hp like intended
- turns walking along a path are now smooth
- using a portal from distance walks the player to the portal
- the client can cope better with differing tile sizes

*code*
- creatures xml split into smaller parts
- attacks are now events
- signs can show an image instead of 'You read: ' text, or a description

*website*
- new domain stendhalgame.org
- rss feeds


0.82.1
28th March 2010

*bugfixes*
- new command /clickmode to toggle between single click walking and double click walking
- fixed movement to drop target (only Microsoft Windows was affected)
- fixed /mute not being stored accross restarts
- fixed pets not ownable


0.82: Spring is coming!
26th March 2010

*features
- single click movement
- Easter Bunny
- Pied Piper quest
- open manual on key F1
- added /volume support for sound
- asynchronous database access
- Kalavan orb
- Sad Scientist quest
- Dice Gambling prizes upgraded

*admins*
- new /script AdminPortal.class
- support answer contains the name of the asking player in the greeting

*website*
- added detail view of news items on their own pages (with nice urls)
- improvements to various icons
- reorganisation and cleanup of http://arianne.sf.net

*bug fixes*
- Carmen only asks for her quest if the player is at least level 2.
- improved stability of the client in uncommon situations
- stat changes that occurred during zone change (like losing xp on death) did not update the stats window.
- click walking is now a lot smoother
- fixed Harold telling players about expiring earnings every minute



0.81.3
- prevent crash on "No line matching interface" (fixes #2970406)

0.81.2
*bug fixes*
- fixed a crash on Linux using alsa (non pulse) audio drivers and Sun Java (not OpenJDK) 
  if all channels are in use by another application
- fixed InvalidVersionExceptions in the network code on high latency connections 
  (for example for people living outside Europe to an server in Europe)
- handle failure to load sprite images more gracefully
- improved logging of uncaught exceptions 

0.81.2 contains the first results of the Client Quality Weeks. Thanks everyone for providing
your error log files and pleace continue to do so.

0.81.1
*bug fixes*
- fixed an issue with 0 hp created by logging out while dying (thanks to Andrzej Kofański)
- prevent client crash on empty soundNameList
- renamed admins.list to admins.txt to simplify installation on windows with hidden file name extensions
- fixed a server side classpath issue
- updated to Marauroa 3.5 to fix an issue with null-values in the timedate columns in gameEvents and account


0.81: Music to your ears
20th February 2010

*features*
- player stats moved from the character window to the side panel
- a dragbar for making the game screen smaller (handy for netbooks)
- new quest from Ouchit with new NPC in ados forest
- having multiple correct answers for a riddle now possible
- athor labyrinth redrawn 
- h2 database support
- ignored players are drawn as black forms

*bug fixes*
- numerous small map fixes
- poorly organised tilesets reorganised
- list quests output fixed
- split grain field
- show a long dash rather than a negative number for required xp for max level players
- feedback on using portals and chests from too far away
- fixed "Drag and drop sometimes misses slots and hits ground instead" (was for drag and drop onto same slot)
- better reject message for inactive accounts
- fixed leander stealing all the pizzas of a player who has failed the quest previously

*code*
- sound system rewritten and using oggs 
- more client refactoring

*website*
- fixed a directory traversing vulnerability on http://arianne.sf.net
  (special thanks to Ed Milner for discovering and reporting it)
- account history
- adminlevel shown




0.80.1: server only release
* fixed logout while dying

0.80: Harold's new job, Trade Manager!
8th January 2010

*features*
- Player-to-player trading facilitated by Harold in Semos Tavern
- a maze created especially for you by Haizen
- Help Mrs. Yeti quest
- Herbs For Carmen quest
- Kill Gnomes quest
- Sarzina has nicer answers when asking about your karma
- ShopSigns show item images, price and stats in a popup window
- /ignore <player> ignores public chat from player as well as private
*bug fixes*
- Semos Village and south east of Semos city redesigned to direct new players better 
- '/sound mute on' command is now simply '/mute'
- /mute is remembered across restarts
- fixed unwanted popping up of minimized keyring window
- collision fixes
- entwives are faster, entrance to them has level check
- allowed distance to pass an item on the ground now matches the allowed distance to throw from bag
- tell the user where the chatlog has been written after they right-click 'save' it
- black pearl image is larger, in line with the other gems
- /altercreature works
- keyring cannot be used at all till enabled by quest
- add warning if a player is too far away from fish,gold,well source to use it
- order corrected for using/removing scroll
*code*
- use item transformer for loading items
- QuestCompletedSeller and Buyer types
- NPC chat and creature noises using RPEvent
*website*
- nicer urls for subpages on the website
- a new version of the atlas with dungeon entrances: https://stendhalgame.org/wiki/File:WorldWithMarkedDungeons091122.png
- dedicated testing page on wiki https://stendhalgame.org/wiki/Stendhal_Testing
- Stendhal Manual on the wiki updated with new images


0.79.2: server only release
- decorated semos for christmas
- added Santa

0.79.1: server only release
- fixed a duplicated corpse bug

0.79: Back to reality
13th November 2009

* changes for players
- fixed an issue which made Stendhal unplayable on Ubuntu 9.10 with nvidia drivers on Sun JDK.
- chat bar responds faster to typed letters on some systems
- fixed website: characters with the same name as creatures no longer get people killing those creatures listed
- change price of barbarian armor
- fixed graphics for balrog and killer bat corpse

* changes for admins
- new command /script -list
- new /script SetServerWelcome.class which will set a new login welcome message until the server is restarted 
- fixed broken logging of source position for items moved around on the ground
- added $ignore and $spam supportanswer shortcuts, also changed the $abuse shortcut to $notsupport 


0.78: Semos Mine Town Revival Weeks
22th October 2009

* changes for players
- various map fixes
- added a note about logging on account creation
- destroy the old wedding ring, if another is added to the same slot with it and use up the energy of the new one
- renamed Stichard Rallman
- balrog and his corpse redrawn
- semos mine town revival weeks with outfits, tic tac toe, paper chase and susi

* changes for developer / hosters / admins
- replaced old forked map editor with the official one from http://mapeditor.org/ 
- fixed error message: object does not have slot !quests
- check existence of character to be jailed
- check that the player in /jail-command exists


0.77: Adventure Island Awaits
2nd September 2009

- improvements to the test infrastructure, now including coverage reports and various statistics about code quality
- more corpses redrawn and new kinds added
- now all a player's money is shown in the hall of fame (including money in bank chests)
- Keep max 12 sheep in the semos pen simultaneously
- tomatoes use a grower
- don't let pets/sheep dying result in concurrent modification
- Make it possible to name pets back to their original name
- allow always using the animal type to rename a pet (even if it has a name already)
- give 20 xp for the Cherub in the starting zone so players don't get to level 4 instantly 
- new items added to NPC buyers
- moved the chatlog to the main client window
- minimap and buddies are now a side panel
- added a way to clean the house portal cache
- tell support about /script DropPlayerItems
- fixed item log on drop of stackable items
- store content to database on closing a stored chest incase server does not shut gracefully
- automatically close stored chest when the zone it is in becomes empty of players
- wedding rings have a level ratio dependent cooling period
- you can divorce for a fee instead of xp loss, temporarily
- adventure island which is a bit like DM - you get creatures but you get XP and items. It costs money and you must go alone
- if you lose a house key on death you're told which house it was for (so the owner can change locks if the key wasn't retrieved)
- buddy list is sorted alphabetically
- outside semos tavern is a better seating area

0.76: Ported to Marauroa 3.0
2nd August 2009

- ported to the latest release of marauroa with supports multi threaded database access
- support for OpenJDK IcedTea (thanks to omair)
- corpse images used are now specified in xml
- corpses redrawn and new kinds added

0.75: Beauty and Balance
12th July 2009

- the corpse of a raid creature can only be looted by player that the raid creature attacked
- min level for items which makes them less effective if player is less then min level for using item
  - attacking items have slower rate to hit if user less than min level
  - defending items have less defence if user less than min level
  - for all items with min level the effect is bigger, the further user is from min level
- items display lifesteal and min level attributes in description
- a large memory hole fixed
- Jenny from the Mill sells flower seeds to plant on a patch in Semos Plains N
- added NPCs to website
- prevent creation of accounts with commonly used passwords from a list 
- Sato puts his sheep in the den
* new artwork
- potions, antidotes, poisons
- black dragon, flying golden dragon
- skeletons, fallens of all kinds
* Admin
  - support log available at https://stendhalgame.org
  - player history available at https://stendhalgame.org
  - new command /adminnote
  - /gmhelp_script and /gmehlp_alter replaced by /gmhelp script and /gmhelp alter

0.74: What goes around comes around
23rd May 2009

- player karma affects what skills they lose on death 
 --max 20% for non ring wearers with negative karma, and 10% as before if player karma was 0. if they had positive karma they lose less
 --Ring wearers lose max 2%, average 1% and less with positive karma
- new hybrid spider creature in nalwor drow tunnels
- new houses in ados, numbers 69 to 77 
- tutorial event linking to stendhal rules
- find out content of Ignore list by typing /ignore (with no parameters)
- deathmatch: if occupied then challenging player is told who is inside so they can say yes/no about entering
- feedback to player given on successful buddy and sentence actions
- feedback messages about failure when trying to drop or displace items too far from current location, displacing an item without being next to it, dropping onto a collision, adding to full slots
- inform player who dropped item into a nearby corpse, incase the drop was not deliberate
- Sarzina suggests some ways to get karma
- Daily monster, daily item and weekly item quests give karma.
- Daily Item quest gives less XP than monster now, (as it gives more karma)
- max level players get a large karma reward from daily and weekly quests (as they cannot earn xp from it)
- in fighting, made the 'level difference to not need karma' be dependent on level instead of being a fixed 20 levels 
- answer a riddle to leave hell, as another option instead of losing karma
- more creature descriptions 
- new raid scripts added, and list raids which gives the names. existing scripts renamed to be all same format
*Admin*
- gag is adminlevel 200
- support and supportanswer messages coloured orange to make more visible
- supportanswer keywords which abbreviate longer replies
- postman sends new account messages and npc shout to a zone messages to support channel
*Bug fixes*
- PersonalChest removes its own turnlistener in onremoved(rpzone), fixing NPE when leaving vaults
- karma for large scales was never achieved due to a wrongly used log
- karma for canHit was factored out early by a cast to int
- adding buddies using right-click fixed
- house tax problem fixed
- added missing logic to BringListOfItemsQuests
- monogenes shows map, ilisa shows picture, liliana shows outfits again
- don't allow pets or sheep in death match
- remove possibility of	dropping or displacing	items to places	where they can't be retrieved (or where it would be v long walk to fetch them)
- minor map and graphical fixes
- unignore: check first, and if target not being ignored, tell player so.
- now getting points in dm for the final creature killed
*behind the scenes*
- Conversationstates changed to enum
- reflection removed from stendhalQuestsystem
- QuestsXMLReader changed from singleton to just create one.
- Iquest.getName() abstract in Abstractquest. every quest knows its name now (not the descriptive one yet)
- moved a lot of tilesets to correct homes

0.73: Houses sweet houses!
31st March 2009

- rare monsters that do not appear in DM or daily quests: pegasus and centaur
- lord durin, a high level boss in ados abandoned keep
- new npc condition and action for events with any kind of delay to be checked
- replace mountain orcs in -2 semos mines n e3 with chaos creatures
- added high level boss, gashadokuro, based on japanese legend
- new outfit lender in magic clothing boutique who lends costumes including slime and goblin face
- messaging areas to give atmospheric messages to players entering or leaving them
- semos community chest stored between server restarts
- min respawn time for creatures (10 seconds)
- NPCs will not buy items from a player killer at all
- NPCs will sell to a player killer but they charge 1.5 times the normal price
- doors into the oni palace now a level checking portal 
- Thanatos says the new def of trophy helmet, and says if it is at max, as he
changes it
- marked scrolls don't get player bound (old ones to be unbound)
- postman reports newly created account names to admin
*Bug fixes*
- bugfix to /alter, now doesn't reject a heal which takes hp over base hp, instead sets hp to full
- quoting #-characters
- fixed chat bubbles and changed appearance to be more bubbly
- fix feedback of buyer/seller npcs asked to transact large numbers of items
- wedding ring checks !visited and pet distance
- push action sends a feedback message to player if pushing is not allowed
because of the time limit
- gagged players can use /support only once per minute
- levels 5 - 60 respawn time slightly increased
- placeat fixed so that doors do not shift player aside and algorithm is smarter
* Player houses*
- house doors remember lock number and expiry time
- house keys only open door if lock number and house number match
- player can look at house door to see owner and knock on it which sends message
to players inside
- house keys show who owns the house
- chests which are accessible to everyone in the zone inside each house
- chests prefilled with a note and gifts for new house owners
- houses made no teleport In
- postman no longer used to remember which houses are bought
- house tax charged monthly, if unpaid for 6 months, house confiscated
- reselling houses is possible, regain 40% of value minus taxes owed
- changing locks feature
- can ask npc what houses are available
- many houses redecorated inside to use new tiles

0.72: New abilities
22nd February 2009

*Features*
- dagobert creates personal vaults for players, so they can access semos bank slot without spies
- vaults contain a wastebin for disposing of items; other items left on ground get returned to player on leaving
- /me shows emotes
- /clear clears gamelog
- chatlog can be saved by right clicking on gamelog. it is saved in home/stendhal/gamelog.txt
- /info returns current server time
- Susi and her father living in a house in Ados
- special outfit lender Liliana in magic city 
- creatures equip the items they have, and use the respective attack rate 
- infantry gnome, archmage elf, dark elf knight, dark elf sacerdotist, black 
dragon and balrog attack at different rates from the default, and hit either
harder or weaker accordingly
- rare monsters that do not appear in DM or daily quests. a big bad wolf and an
unicorn added for now
- new item, red dragon cloak
- walkblocker squares coloured pink on minimap
*Improvements* 
- player level info added to character panel
- player atk and def displayed as base 'times' (weapon + 1) on character panel
- Deathmatch recruiter walks in safer (upper) part of swamp 
- find out which heroes are in the deathmatch already by asking Thonatus, the recruiter
- increased spawn delay of creatures in DM by 5 sec
- decrease how long player is forced to wait after requesting bail
- increased the XP given for some of the low and mid level quests
- optimal distance for archer to attack from is 4. Less effective when farther or nearer and not all if distance > 7. Switches to melee at 0 distance.
- reduce the archer speeds else many left unkilled at zone boundaries
- fence around semos village w closer to house to be less obstructive
- some creatures in bad places for very new players moved
- arrows dropped more often
- some elves dropping food and potions
- cherries and apples heal faster
- Yorphin Baos (Fado) buys hell dagger
- all tables in fado and semos tavern walk blockers instead of collisions so items can be placed on them
- teleporting out of semos bank now possible, as in teleporting out of a few other areas which only had magic scrolls disallowed for stopping players teleporting in
*Bug fixes*
- /ban reason is no longer eaten on client side
- NPCShoutZone.java: messages are now also send to all supporters as stated in todo
- Snowballs.java: let NPC say when new snowballs could be needed
- Soup making exploit to boost karma now fixed
- Zara re-offers quest if player previously rejected 
- security measures on nalwor jail removed so players can heal there
- sheep and pet only get hungrier when there are players in the same zone 
- rose leigh says Bye directly after giving flower so other players can say hi
- dwarf golem moved to giant animal instead of giant human
*Misc*
- mossy rubble pic has been added to rock
- wood grower shows branch till picked
- Collisionmap is now backed by Bitset
- zones can be implemented by subclassing StendhalRPZone and specifying it in 'zones'.xml
- LoginDialog positions caret on name now


0.71: Semos Mine Town Revival Weeks!
30th November 2008

- chatlog stops automatic scroll on when not at bottom of text 
- chatlog highlighted pink if the scroll was halted and there are unread messages
- tab-completion toggles through all online players in chat line
- attribute all players who kill in DM not just the DM starter
- fix a bug in heal which was confusing the DM assistant
- fix a bug in the calculation of DM score
- add npc to guide players to the rat city and help them avoid going wrong way
- leander buys cheese 
- place a few creatures that were low level but only accessible by going past
high level cretaures, in better places to aid mayor task
- fixed a bug with using balloons
- -2 semos mines decorated more
- prototype pirate creatures added
- consumption of meat, ham, soup, pizza and cheese sped up by about 1.5 x
- added some more creature descriptions
- pets at full weight (usually 100) get hungry slower - approximately 5 times slower
- add healer ability to charge dependent on level of player
- valo and ilisa healing dependent on charge (so all players can get healed in
semos and ados)
- pk skull icon got glowing eyes
- semos mine town revival weeks celebrated - outfit lender + more
- jailreport is available to level 50 admins, and takes an optional player argument

0.70: Rules of War
3rd October 2008

- damage calculations place greater emphasis on weapon attack and level
instead of mainly base skills (this means heavy weapons are now better against
strong creatures than a dagger type)
- PVP only enabled for those of close enough level
- constant change/time unit for monster spawning, for same average respawn time but no memory effect
- minimap shows protected areas as pale green
- away and grumpy message added to player description on 'Look'
- no XP reward for killing a player
- player killers marked with an icon
- healers won't heal player killers (even if they want to pay)
- Io Flotto removes player killer icon
- tutorial event for first player kill
- using a balloon within 6 hours of using the last decreases the time on 7 kika to 5 mins
- using rainbow beans within 6 hours of using the last makes you sick
- although snowballs and vomit are missiles, they don't show stats now
- immortal sword redrawn
- poison prevents you from using double click to walk
- improved stats of : great sword, claymore, vampire sword, fire sword, golden
orc sword
- reduced stats of: sword, katana, scimitar, elvish sword, twin swords
- extra semos chest in ados bank
- script for GM to run which corrects the slot of a player in DM so they can
claim victory
- NPCShoutZone script for GM
- /ban command for GM 
- invited guest cannot use invitation scroll to get to church unless the
engaged player is online
- older invitation scrolls with a different format will not work now (magic lost)
- dresses corrected to fit female body better
- a new hair and some new GM outfits
- new players start with a random unisex outfit instead of nekked
- pet Look description tells how hungry it is
- pet Leave and Own refactored, fixed bugs
- NPCs say something when you 'attack' them
- client reports all killers of an entity
- Ognir now distinguishes between bound an unbound rings when fixing
- Wikipedian fixed for new wikipedia.org API
- some wooden furniture items redrawn
- admin inspect and admin destroy now work for contained items too.
- pushing creatures with an area > 4 is no longer possible

0.69: Wrath of Angels
12th August 2008

- 7 kikareukin clouds added
- archangel and dark archangel, new creatures
- corrected xp of golden death
- path between kirdneh and fado
- added -Dstendhal.quest.regex analog to -Dstendhal.zone.regex to speed up restart while developing.
- fado battle arena for raids - clear space and divided levels 
- hedges, waterfall and vegetable growers redrawn
- spinach, salad, all mushrooms and all herbs now using vegetable grower
- can *destroy blood and corpse now, (but ths is not clean) and blocked *destroy of portal
- the *destroy message tells admin exactly what they destroyed
- *destroyed creatures don't drop items
- cleaned up /inspect of a player
- made sally give time remaining to campfire test and reworked parts
- AmazonPrincess uses 'new' ChatAction way
- in battle karma isn't used when the level difference is enough that no luck is needed 
- pet is starving message re-introduced
- 'use' only seen on items which are useable
- item guard creatures like the thing can check if a quest is active before dropping item
- extend ketteh wehoh npc and move her to new player start area
- rats are stupid cowards
- new help command /gmhelp_script
- mithril cloak quest, started with Ida
- creatures added to an empty platform in hell including new creature devil monk
- push checks if entity to be pushed is stood on an item
- katinka accepts abandoned pets, who are rehomed in the pet sanctuary
- pets can eat from passive entity respawn points
- items which are not placed by a player now expire correctly
- lorenz and xoderos given improved response coverage for their quests 
- player is no longer told 'you can't consume any more', but eat too much and you choke or choke to death
- eating, poisoned, choking and combat icons moved up 8 pixels so they don't overhang entity's feet
- red combat square made slightly smaller so that it is not outside the entity area (which casued map trouble)
- -D switch available if you want your eating/poisoned/choking icons drawn on top most layer
- on death player is told what items their corpse contains

0.68.1: Fix it and tidy up
30th June 2008

- sentence can be set for website
- new raid scripts
- map fixes
- north of ados is a bazaar
- ados mountains have some trees and new houses
- baby dragon not eating bug fixed
- balrog home in semos mines w2 redecorated
- all tiles of unknown origin now redrawn
- 'can drop items from bag even when closed' bug fixed
- honeymoon logic for just married couples is smarter 
- townhall redecorated
- all east-west doors have much better look and feel
- client bug Freeze on rapid Login button uses now fixed
- ados coastline is complete
- unused classes in client removed
- some shop selling/buying bugs fixed

0.68: Gnome Sweet Gnome
29th May 2008

- character panel shows atk_xp needed to level up instead of total atk_xp
- pizza is edible and can be made at the wofol bakery
- ados tavern got a makeover and new staff
- name your pet with /name <pet> <name>
- assassins tunnel from assassins HQ to ados castle
- new creatures which drop new items in assassins tunnel
- dragon lair in assassins tunnel
- ados castle gardens in correct place now
- -1 semos mines zones (mtn dwarf areas) decorated
- tiled:
  - fixed tiled's source code so the the tiled/src directory can be added to the Eclipse project configuration
  - added tiled as target to build.xml (targets "compile_tiled" and "tiled_run")
  - Java 1.5 fixes to eliminate compiler warnings
  - you can launch tiled directly from Eclipse or using ANT
  - updated tiled.jar
- ANT targets "rendermaps" and "updatemaps" now use the new tiled code
- mithril nuggets can now be cast into mithril bars
- mithril shields can now be forged
- entwives have be discovered in ados mountains
- gnomes have built a village west of semos
- meat market added to ados
- hotdog stand added to athor
- magic theater barmaid added - typical movie watching goodies
- buyer added to gnome village - various goods
- buyer added to assassin HQ lobby - various goods
- archery buyer added to Nalwor Inn basement
- armor buyer added to Kirdneh market area
- fish market added to Kirdneh market area
- cloak buyer added to central Amazon area
- odds and ends buy added to -3 abandoned keep
- veggie and herb buyer added to assassin HQ cellar
- scrolls now available by bartering with gardener lady in kalavan 
- milk now available from semos farm
- honey now availble from beekeeper in fado forest

0.67: Happy Valentines
14th February 2008

- new players start in semos guardhouse
- hayunn naratha gives an initial quest to new players
- weekly item quest from kirdneh museum
- bank in kirdneh (sub branch of fado bank)
- bar tender in kirdneh inn
- you can buy kirdneh houses now
- buy red roses in kirdneh
- river zone west of kirdneh
- sewer system added below ados
- abandoned keep full of dwarves and soldiers below ados mountain
- seller in abandoned keep sells a good set of armor
- quest in abandoned keep to clear area of moutain dwarves
- ados forest w2 has a large farm with animals
- yeti cave under semos mountain n w4, do a favour for mr yeti
- couple of new low rate desirable weapons added
- black scythe, black halberd, chaos axe now dropped (rarely)
- sell mainio stuff in mithrilbourgh
- help jailed barbarian on amazon island
- new zone, a fiery underworld
- taxman npc in ados keeps list of all buyers in faiumoni
- fixed bug, relog mid fight and you now still earn your xp
- orbs now work as they should, i.e. you have to right-click and Use them
- jynath's orb linked to a safe spot in magic city
- new conversation parser:
 - item and creature names now don't contain any underscores to form compound names
 - you can use correct grammar for space separated words and item names in plural
- recognition of player and NPC names in commands like: /look, /use, /own, /attack


0.66: Embracing Marauroa 2.x
8th January 2008

- added image viewer (ask Monogenes about a map of Semos)
- added SignLessorNPC so player can rent a sign for a day
- improved interaction with NPCs (for example they understand number spelled out as words)
- added jailing of offline players, freeing even after server restart
- started to use new features of Marauroa 2.0
  - started to rework the way events are send from the server to the client (using RPEvent)
  - started to implement persistent, non-player related data (zone storage)
  - based on infrastructure created in this release we will be able to implements lots of previously impossible features
- 26.7% of code (block counts) is now covered by automated Junit tests

0.65.1 (server only)
- fixed a problem with access to chests
- added additional log to simplify querying of item history

0.65: Christmas is coming!
3rd December 2007

- semos city decorated for Christmas!
- meet santa as he wanders around, get a hat and stocking
- more new and replacement graphics 
- most fado interiors redecorated
- direct route from kalavan -> kirdneh now possible sue to links with -1_fado_great_caves
- ice elementals add to ice cap in semos outdoor mountain temple, water
elementals moved up to 1 kikareukin cave and air elementals added at 6
kikareukin islands. 
- elementals stats reflect level better - same atk but more def and hp.
- nymphs in a glen in fado forest 
- rooms beyond lich at orril palace opened
- learn how to 'use' orbs to teleport you
- to only receive messages from buddies, turn on /grumpy
- development
  - 17.3% of code is now covered by automated Junit tests
  - simplified the way quests are coded
  - some client pathfinding bugs fixed
  - doors should use correct sprite now, closed doors have a reject message

0.64: *grr* Baby Dragons! *grr*
15th November 2007

- new city of kirdneh, east of fado forest
- player houses in ados
- kalavan city gardens
- NPCs in kalavan city gardens
- new quest from annie in kalavan city gardens (buy icecream)
- new quest from Morgrin in wizard school in magic city (kill spiders)
- password quality check on account creation
- development
  - 14.2% of code is now covered by automated Junit tests
  - started to improve the way quests are coded
  - improved state transition diagrams for NPCs

0.63: Huge, strange, sweet, wild, safe
18th October 2007

- Codebase ported to Marauroa 2.0
- New Zones:
 - dreamscape, take rainbow beans to get there for a short time until you come down
 - fado great caves
 - magic underground city (with wizard school, theater, etc)
 - imperial underground city (sedah)
 - kalavan castle
 - kalavan city 
 - fado forest extensions
 - amazon island and tunnels
- New Creatures:
 - trolls
 - madaram
 - imperials
 - amazonesses
 - albino elves
 - wizards from different races
 - foxes and chickens
 - dark elf admiral
 - hybrids
- Quests:
 - Elf Princess Flower quest improved
 - an albino elf wants to learn secrets of Nalwor elves
 - Imperial Princess of Kalavan wants to ease pain of captives in basement
 - A wannabe King wants to overthrow King Cozart and needs a crown
 - Divorce is possible
 - the Amazon Princess wants a cocktail
- New NPCs (non-quest):
 - veteran warrior gives information about any creatures you ask (for a small
 fee)
 - greeter in fado forest (albino elf)
 - shop in magic city
 - healer in magic city
 - teacher in magic city
 - greeter in magic city
 - gatekeeper of sedah city
 - shop in sedah city
- New/improved Features:
 - players can buy houses
 - players can buy then care for cats
 - players are informed when antidote wears off
 - rings respect noTeleport zones
 - big creatures can be walked behind
 - big creatures have long HP bar
 - creature respawns much more randomised (average is unchanged)
 - server reset doesn't spawn all creatures at t=0
 - tiles are animated once more
- New Items:
 - new low rate weapons (none better than soul dagger still)
 - mainio items from hybrids
 - xeno items from xenocium
 - jewelled legs, liberty helmet
 - chicken, fairy cakes, eggs, pineapples, coconuts, pina colada
- Other:
 - Semos bank more secure (one player areas near chests)
 - Magic bank where you can access all chests for fee and limited time
 - more redrawn tiles
 - ados bank, townhall_0 both easier to travel across 
 - level 170-210 creatures rebalanced

0.62: Sky towers and deep dungeons
13th August 2007

- Keyring 2 slots bigger to accommodate new items players may acquire
- On entering centre zone for first time, get atmospheric message
- Nalwor tower open; resident princess with a quest
- Quest for the Club of Thorns in expanded Kotoch Entrance 
- Ados bar with Maid who buys food
- Ados castle full of bandits and ninja
- East of Fado extended, includes woodcutter, leprechauns and oni palace
- Lucky charm: if carried you use half the karma for each encounter needing luck
- Entity slot item quantity is now right aligned
- Entity slot item quantity supports million suffix (#####M)
- Kikareukin islands floating in sky above Semos Mountain outdoor temple
- Many new creatures
- Duergar dwarves are imprisoned under Kanmararn City
- Dwarf Guard trapped in Kanmararn Prison wants better armor
- Creatures poison you again even if you are poisoned already
- Tutorial event for poison
- Money sparkles
- More new map artistry - notably grass and chests
- Fixed memory leak
- Speed up creature logic
- Bug fixes to some quests 

0.61: Wofol opens its doors
22nd June 2007

- Houses in Kobold City (Wofol) have opened their doors
- NPCs in Kobold include a weapons trader and a mountain dwarf who needs errands running
- Ados Barracks buys good armor, shields and legs
- Ados haunted house got a basement and a resident ghost who wants to know about other spirits
- Quartermaster of Mithrilbourgh army requires boots and helmets
- Make fish pies in Fado
- Minor fixes to drops and maps
- Added GM /gag command, to silence players, works like /jail
- Add Push so you can push players, creatures, etc...
- Make a Wish at Wishing Wells, to get money, gold nuggets, gems, wood, etc
- Added several new creatures for levels 30-90: sheepmen, frogmen and several undead creatures.

0.60: A Marriage of Beauty and Chaos
22nd May 2007

- Fado city is open
- a woman in fado collects cloaks
- the tavern maid in fado makes a special soup
- get engaged, get a wedding ring made
- get married at fado church then go on a honeymoon in the hotel
- learn about Karma - it is also now used for more quests and activities
- a sleeping cow now indicates that a player is away
- Ported maps to a new format that is a lot less memory intensive
- Optimized TMX loader. Loads up to 100x faster
- Make client use less memory
- Maps can now have its own tilesets
- Buildings and many outsides and interiors redrawn with new public domain graphics
- mega potions are made with giant hearts by a healer in Ados church
- Emerald ring of life. You lose only 1% of your stats on death.
- Get the ring fixed when it breaks on death
- Added new type of monsters.
- Quest portal shows text when it can't be used.
- Players are now ghost at afterlife.
- Some NPC can choose to be attackable.
- On teleport screen change inmediately to your position.
- fixed a problem with invisible creatures.
- Added new outfits.
- Admin House in semos with useful portals and nice NPC
- Added a full new area at Semos mine for level above 90.
- Added around 30 new creatures and around 40 new items that are dropped by them.
- Refactored all the creatures' drops so they do drop less but more useful stuff.
- Added new maps that communicate drows mines with ados caves.

0.59: Beach or Battle? Pizza or Perish? You decide ...
14th April 2007

World:
- introduced scoring system in deathmatch instead of XP
- Added a kobold totem at the kobolds city. ( for level > 50 )
- added a quest to deliver pizza to several NPC's
- added a sunny island and a new quest on it
- created a ferry service to the island
- added blackjack gambling on the ferry
- non semos city scrolls - nalwor, fado (when open), ados available for purchase
- nalwor bank with nalwor and semos bank chests
- quest to access nalwor bank (take gold bars to bank for lorithien)
- nalwor river can be crossed over the waterfall, to make travelling east<->west possible without going back to semos
- Added a drow attack to nalwor ( for levels > 100 )
- added fishing spots, 8 fish species, and a fishing rod
- added the possibility to get a fisherman's license to increase the chance of getting fish (no item)
- added gold sources, gold nuggets and gold bars which can be cast by the goldsmith in Ados
- Ados city is finished, although most houses are still closed
- daily item quest from the Ados mayor
- quest to get the keyring activated (joshua is hungry)
- The mountains of Ados have a great cave under them, some of the brave who have returned from there talk about giants and red dragons... perhaps it is the soo long journey that makes them say those things.

Gameplay:
- server prevents putting items into useless slots (like a sword into the head-slot)
- specific images for each empty slot in character window
- added /away command (like in irc)
- added /answer command
- /ignore command now supports duration and reason message
- a finger slot for rings
- a keyring to carry keys on

Technical:
- zone xml now uses <parameter> values for factory arguments, and entity types may include <attribute> values to set instance attributes
- use zone level/coordinates from data/conf/zones/*.xml instead of tmx files

0.58: Vampires roam Semos Catacombs!
10th March 2007

- name/HPbar is now visible, alltime
- When client is minimised, stop stendhal drawing.
- we only allow one support message per minute.
- unable to drag an item into the same slot
- improved client command handling
- remove items from under a creature
- trading table added in semos townhall
- improve Minimap: moveto by Double-Clicking
- closed panel windows keep state on restart
- rat city is open
- new zone configuration using xml
- ctrl+r in gui clears all active text bubbles
- mayor now tells how long till next quest
- bandits (risecia humans) between ados and semos
- new nalwor interiors including a weapons buyer
- catacombs in semos plains n
- vampire sword quest

0.57: big changes for a little world!
27th January 2007

- sheep food now shows up in the minimap as an obstical
- multiple login profile support (for those that use multiple servers)
- gui now tracks which arrows keys are still held when multiple were pressed
- quest reward items cannot be given to other players
- server implementation of ignore list for /msg (gui still misssing)
- enlarged columns param2 in table gameEvents to upto 1024 characters
  (256 for MySQL versions below 5.0)
- added a translation framework
- improved grammar (pluralisation and other small things)
- fixed a problem with the map-item in -6_kanmararn_city
- fixed a problem with marked_scrolls pointing to removed zones
- improved auto-update to retry in case of server problem
- some minor map fixes
- deathmatch
  - require level 20
  - punishment for logout-cowards
  - only the player doing the deathmatch gets xp
- prevented teleporting into a no-teleport map
- added maps for Kikareukin (not in game yet)
- added Ados library with Wikipedia interface (not in game yet)
- creatures now walk around each other
- fixed a problem which caused jumpy movement of slow creatures and NPCs.
- a house in ados is haunted
- the children of ados park are bored and want some toys
- monks and elementals are worshipping on the mountains to the west
- Balduin is excited about weapons from the new creatures

0.56: Merry Christmas!
19th December 2006

- added Ados City with new people
- one of Haizen's experiments went horribly wrong wrong, causing dragons to get much smarter
- added pies
- moved deathmatch to Ados
- implemented non offensive creatures (like deers and elephants)
- added description to items
- added credits and gave a name to previously unnamed NPCs
- Santa is visiting Faiumoni
- small fixes and improvements
- technical notes
  - work on Marauroa 2.0 has begun in CVS. Stendhal requires branch MARAUROA_VERSION_01_MAINTENANCE
  - before updating a server you have to remove your data/script folder
  - improved logging of game events


0.55.1 
Nov 4, 2006
- fixed /drop
- readded missing files for key autorepeat handling on Linux based systems
- improved downloading files on update to retry in case the SF webserver is having some problems


0.55: Halloween night!
 Oct 31, 2006
- improved language of nearly all NPCs
- smart updater for future versions (so that you do not have to download the complete client on every new version)
- Semos Mine Town Revival Weeks
  - new quest: reverse arrow
  - Costume Party
  - you can make a friend there
- game masters can get invisible (but there name is still displayed)
- game masters can walk through walls


0.54.1: Server Only Bugfix Release
Oct 07, 2006

- fixed a problem with zone file int_ados_magician_house which causes the server not to start
- fixed /drop on items dragged directly from bank to bag
- fixed dice gambling to only accept dices thrown on the table inside Semos Tavern
- fixed consolation price of dice gambling to be a bottle of beer

0.54: Dice Gambling
Oct 01, 2006

- added dice gambling in Semos Tavern with golden trousers as the jackpot
- fixed lag because of broken key handling on X11 (Linux)
- display other players on minimap
- made jail accessible to normal players
- NPCs who produce goods now estimate how much time they will need
- added additional clothes and hair styles for females
- added salad as a food item
- changed our default server to stendhalgame.org
- converted admin / game master commands from groovy to reloadable java classes

0.53: Archers and Farmers
Sep 03, 2006

- added regrowing grain fields which can be harvested
- added a windmill and an NPC who mills flour from grain
- added a bakery and an NPC who bakes bread from flour
- gave archer elf and archer kobold something to shoot
- made iron casting take time

0.52 
Aug 14, 2006

- players
  - display of item based ATK and DEF is now calculated by the server
  - fixed a bug which caused quest items to be lost if your bag is full
  - fixed vertical alignment of the blue cross in minimap on small maps
  - minor changes to NPCs and maps
  - Tell-menu works now on players with spaces in their names
  - low-level admins have their name printed in light yellow, high-level-admins in dark yellow
  - coloring the name of nps and monsters
  - fixed key autorepeat on Linux
- maps and quests
  - added a new quest in 0_semos_plains_n
  - added an iron ore mine near Orril castle
  - added an NPC who casts iron and another one who buys it
  - several minor fixes on many maps
- admins / game masters
  - /supportanswer <player> <text> admin command replys to <player> and all players with support-adminlevel
  - (*) Inspect, (*) Destroy and /alter #12345 can be used on items
  - /support and /supportanswer can now be forwarded to irc://irc.freenode.net/#arianne-support
  - added a new jail map
  - admins can summon lots of monsters with /script plague.groovy 1 rat
  - admins can create signs using /script adminsign.groovy
  - improved error-messages on admin-commands
- internal
  - experimental support for TCP network connections to prevent resyncs and lost messages
  - performance optimization on server-side
  - changed build-script so everything is created below a "build"-subdirectory.
  - added all dependencies to "libs" folder
  - added a new disabled NPC /script adminmaker.groovy for test-systems
  - client will use tilesets in tiled if data/tilesets is empty (development environment)
  - prefilled-cache.jar contains the content of the cache directory for webstart
  - added http.port paramter to marauroa.ini defaulting to 80 (not game-port anymore)
  - support for two weapons as pair (swapped slots rhand and lhand on client) (they are not yet in game)


0.51.2 
Jul 10, 2006
(unofficial server-only release)

- deathmatch: monsters above each other on the same spot
- deathmatch: monster placed in the top left corner
- deathmatch: high level players don't get all monsters they deserver and cannot win deathmatch.
- fixed pathfinding in placeat (was done on the old map).
  - deathmatch: leaving spot in semos_plains can be blocked
  - teleportto fixed
- work-around in placeat if the destination is inside a wall.
- SevenCherub- and CloaksForBario- reward-mismatch
- "Orcish Happy Meal" - quest did not give you any money.
- don't flag all creatures without a player near as modifed.
- prevent sheeps from freezing because the picked food-bush is not reachable.
- fixed Cherub-quest message: after 6 cherubs they sayed that all are found.
- fixed LookBookforCeryl so that it can be stared even if IntroducePlayer is completed.
- corpse can not be put into your bag anymore (kidnapping of the solders in -6)
- readded sheep to zoos and do a pathfinding on "own" command.
- FEATURE: extended groovy-interface
Marauroa:
- better error message on account creation failure
- removed a buggy debug-message from marauroa with used 2-5 times more cpu-time than the creature.logic-loop


0.51.1 
Jul XX, 2006

- Fixed elves Nalwor teleporter.
- Fixed bug at drops on creatures.


0.51: Deathmatch happiness
June 21, 2006

- Speed up server connection because of a bug.
- Fixed strange cases where avatars keeps on game after logout.
- Fixed personal chest bugs: stealth other players and items duplication.
- Improved deathmatch script.
- Speed up client start time.
- Improving creatures navigation.
- Fixed deathmatch exploit.
- Fixed some maps glitches.
- Website added to server binary
- Added Wood on the forest quest.


0.50 
June 17, 2006

- Fixed MacOS display and focus bug.
- Added magic scrolls.
- Added banker NPC "Dagobert" with new quest.
- Nicer text bubble.
- Moved description text (Look event) to server side
- Changed NPC to look at the character it's talking to
- Fixed minimap incorrect bug
- Added Groovy script support with dynamic reloading by /script command
- Added Groovy sample script with sign that groovy is active (groovy.groovy)
- Added Groovy sample script with NPC McPegleg (mcpegleg.groovy)
- Added Groovy sample script with Kanmararn quest (kanmararn.groovy)
- Added Groovy sample script with daily quest (dailyquest.groovy)
- Added ability to sell multiple items at the same time.
- Added Groovy scripts for Deathmatch challenge (dailyquest.groovy)
- Added support for alternate LayerRenderer (in addition to the TileRenderer)
- Added hermit NPC "Balduin" with new quest.
- Added wildlife habitat with two new NPCs and a new quest
- Made the arandula herb grow on the ground instead of in a chest
- Added mushrooms which grow on the ground
- Added /adminlevel admin-command to make another player an admin (in addition to admin.list)
- Fixed buddy close window problem
- Added embedded http server and basic Stendhal website based on it
- Added Groovy script for a mobile party service (maria.groovy)
- Added new underground maps near Ados
- Added NPC "Bario" with new quest


0.48: Buddies 
Apr 31, 2006

- Added jail command
- Added protection zone around Semos
- Added Buddy system
- Added Blood pool on fights
- Fixed improper GFX.
- Fixed bug that makes equip command fails if the slot is full.
- Fixed several minor maps bugs.
- Cloack now adds DEF (client side fix).
- Fixed NPC keywords ( now quests works too with hello and hola ).
- Added a Jail keeper NPC.
- Simplified Xin Blanca items lists.
- Fixed a very important bug on pathfinding that was being abused by players.
- Added tavern second floor.
- Big monsters are now draw when part of them is out of screen.
- You can query now player's age.
- Randomize a bit creatures and its respawn time.
- Fixed sheep bug related to sheep not responding to any command.
- Screen move less and faster now.
- Hide admin commands for not confusing players.
- Added new items ( a few: around 20 more )
- Added a new area on the top east, near Ados.


0.47.1 Mar 24, 2006

- Fixed a important problem at StendhalPlayerDatabase

0.47: Liches and Kobolds
Mar 23, 2006

- Fixed location of version file.
- Fixed teleport bug.
- Fixed negative xp problem.
- Fixed a problem that made players not to leave world because of sheeps.
- Added door and keys
- Added new quests
- Added stendhal own database that speed up game turns
- Added a Townhall
- Added several NPC to help players introduce into the game
- Added new monsters ( around 15 more )
- Added kobold's city
- Fixed a bug about invincible creatures
- Added a depot to place items safely.
- Fixed NPC outfits
- Fixed break dance bug
- Better corpse representation


0.46 
Mar 10, 2006

- Fixed sheep
- Fixed blacksmith animations.
- Fixed Nalwor waterfall animation.
- Creatures correctly balanced
- Fixed dragons and added a new category Huge animals.
- Fixed a bug at Attack system that weakens NPC.
- Fixed some maps bugs.
- Speed up path finding by a factor of x20
- Added cloaks
- Added plate armor
- Rebalanced again creatures
- Fixed a very fun bug at Seller NPC ;-)
- Moved NPC GFX to its own folder.
- Simplified quests.
- Added Semos Mine and Orril Castle new zones.
- Added new quests and new items
- Added bank at Semos. It will contain player items.
- Added Orril castle.
- Weakened XP earn limits.


0.45: Diplodocus!
Mar 01, 2006

- Fixed ambient sounds.
- Fixed sheep quest.
- Fixed sheep inmortality bug.
- Fixed equipment mess bug.
- Fixed offline icon not showing.
- Fixed equipment bug.
- Fixed NPC talking bug.
- Fixed corpses not showing correctly usable items.
- Added Event system to ease development of client.
- Added sword beam to show attack.
- Added Python initialization script to ease modification of Server.
- Added Quest system.
- Added a very basic scripts system.
- Added ranged combat.
- Added new monsters ( around 30 new monsters ).
- Added new zones ( in this release 3 new zones, but really around 20 more ).


0.44 
Jan 29, 2006

- Fixed a null pointer bug at creature logic.
- Fixed Drink and food queue so you can consume potions even if full.
- Speed up client
- Changed sync event management so game is less laggy.
- Can buy several items in a batch ( buy 5 potion )
- Fixed sync error. Should happen less oftenly.
- Items bought are automatically stacked.
- Sheeps heals themselves slowly.
- Admins are now denoted with yellow name.
- NPC don't say bye if you are not talking to it.
- Portals are walkable now. It looks better
- Giant rats corpses are bigger.
- Monsters does talk ( but not chat ).
- Reworked map data structure. It is more organized now.
- Added ambient sounds.
- Fixed ATK and DEF loose on death.
- Added new area:
  - Library
  - Orril dungeon
- Added new monster:
  - Black bear


0.43 
Jan 20, 2006

- Exit of tavern now belongs to tavern.
- Fixed a bug when player recieve text but client.getPlayer() stills return null.
- Configuration files are stored now at ~/stendhal
- Carmen at Semos sells potions and antidotes.
- Admin can summonat player slot several items at once.
- Venom rats are a bit more weak and poison hurts less.
- Use portal use changeZone method.
- Antidote gives now inmunity for 2 minutes.
- Fixed a bug at Java Web start related to existence of stendhal file
- Workaround for inventory bug: left button dragging disabled.
- Fixed a bug at Creature.logic
- Added new areas:
  - Temple
  - Blacksmith
  - Kanmararn entrace
  - Or'ril dungeon level 3
  - Jail
- Added new creatures:
  - Razor rat
  - Ratman
  - Dwarf
  - Guardian Dwarf
  - Elder Dwarf
  - Orc warrior
  - Orc chief


0.42: Venom rats are bad!
Jan 14, 2006

- Added Venom rat.
- On death player lose Levels, XP, ATK and DEF.
- Organized data in Java Webstart. Everything is now inside stendhal folder.
- Added Protection zones to avoid PK.
- Fixed blood anticampers feature.
- New food, drinks, potions and poison system.
- Added support command to talk with admin crew.
- Improved item stacking.
- Banned some improper usernames.
- Better source and data organization.
- Fixed a bug that happen when you kill a sheep.
- Improved data structure.
- Added sound system.
- Added poisonous creatures.
- Fixed inventory self closes bug.
- Stats show now equipped stuff too.
- New event system.
- Some creatures can heal themselves.
- Fixed food stackable bug.


0.41 
Jan 03, 2005

- Fixed a bug on legs slot name.
- When selling an item, we search first inside bag.
- NPC are non attackable.
- Modified dungeons and added a cyclops tavern! :)
- Fixed administrator alter command for not breaking player anymore
- Added admin command teleportto
- Fixed build.xml script
- Fixed Wolf GFX sprite
- Fixed items selection at screen ( by Janet )
- Longer text last longer ( by Janet )
- Sheep quest not giving money if sheep wasn't fully grow.
- Fixed stop attack entry.
- Fixed /msg command
- Added timestamp at chat window
- Fixed animated water and flowers
- Fixed legs slot not working


0.40 Dec 21, 2005

- Fixed a bug when dropping an item over itself
- Modified private and hidden attributes
- Fixed sync facing problem
- Use a bit less of memory
- Refactor StendhalRPRuleProcessor
- Clear action code
- Added Game master commands
- Refactored NPC chat system
- Created Quest system
- Changed all NPCs
- Using charas of 48x64 so RPGMaker 2000 exportage of charas is inmediate
- Added new GUI System
- Now weapon seller buys stuff too.
- Creatures and Items XML definition
- New combat system
- Creatures drops items now
- Added Food
- Food restore HP when eaten
- Added houses system (for NPC by now).
- Added door.
- Automagically choose the new zone when reaching map border
- Added several new zones and dungeons ( multiplied map size by 4 )
- Code to avoid trainer campers.


0.39.1 Oct 26, 2005

- Fixed chat bug
- Fixed inspected slot and sync problem
- Fixed afterlife problem
- Fixed weapon seller bug when money==item price
- Fixed problem with player stats not being stored
- Fixed version number mismatch
- Fixed a bug on Items being dropped and not allowing player that equip them to logout correctly.
- Fixed bug on where command player is not logged
- Fixed the same bug that items in sheeps.
- Fixed a bug at WeaponSellerNPC
- Fixed item duplication bug
- Double click on corpses inspect them
- Double click on creature attack them
- Speed up client initialization
- Daisy animations is more calm
- Fixed stendhalaccountcreation that wasn't working at all
- Added critical hit/critical failure


0.39: Money!
Oct 23, 2005

- Fixed ghost sheep bug
- Added minimap
- Fixed inventory
- Added money
- Weapons cost money now
- Sheeps cost money now
- Money objects can be joined in a single object
- Corpses has items inside
- Item amount appears in inventory
- Now you can move items inside inspected entities
- You can't inspect/open a entity while you are not near it
- Refactored equip, moveequip and drop actions
- Fixed a bug at RPSlot.assignValidID that blocked server
- Corpses now are removed from player slots on load
- You can't attack anymore NPC, yehy won't increase your stats.
- Fixed icon on Java webstart version
- Replaced afterlife map
- Added navigation maps for all maps
- Create a batch converter for maps.


0.32 
Sep 24, 2005

- Many bug fixes
- Support for chests ( disabled )
- Inventory movement working
- Less CPU usage
- Threaded A*


0.31 
Jul 08, 2005

- Fixed a bug at statistics system.
- Speed up combat
- Ease creature killing.
- No more drop item bug
- Move item in inventory
- Fixed bug at Weapon seller.
- Fix render order
- Added Giant rat
- Added three new areas: valley and rat dungeon (two levels)
- Fixed a problem with long sentences
- Changed sprites to PNG
- Added Bag slot (1 item only)
- Modifiable server name at login text area


0.30: Items system and new RP Combat system
Jul 03, 2005

- Added items system
- Fixed close bug
- Fixed a bug that blocks game
- Reestructured client entity system
- Completed dungeon_001 map
- Fixed cache bug definitively
- Added slots
- Added club, sword, shield and armor
- New combat system
- New monsters stats
- Several map fixes
- Move tilesets to PNG
- Added 6 devel points on player creation
- New NPC dialogs
- Added a weapon seller
- Removed ownerless sheeps
- Sato doesn't kill sheeps anymore


0.25: bugs fixes and initial support for items
Jun 09, 2005

- Fixed a bug on dead
- Fixed a bug on cache timestamp
- Fixed a bug on stendhalcreateaccount
- Fixed a sheepless player that get blocked bug.
- Fixed a createTextBox bug with whitespaces.
- Fixed blocked Creatures AI bug
- Fixed bug on tell
- Fixed corpses problem
- Added where command
- Added msg command
- Added items
- Added item displacement
- Added own and release sheep commands


0.20: new Monsters, more dungeons and better eXPerience 
Jun 05, 2005

- Added new monsters
- Implemented shared XP
- Fixed a bug related to sheep duplication
- Added storable/volatile attributes
- Logout position remembered
- Text over all
- Double click for default action ( instead of a single one ).
- Added push action
- Limited to 50 fps. Save CPU cycles.
- Added butcher, poller and angel
- Added set outfit option
- Added new dungeon
- Added new tilesets
- Initial support for inventory
- Fixed a bug because of cache directory
- Added new RP values


0.13: Better RP than before 
May 30, 2005

- Added API for identifing several attackers.
- Improved creature AI to attack anyone near it.
- Added icon to main game window
- Fix zone change problem
- Fix placeat problem
- Improved NPC and Sign texts
- Improved perception sizes
- Fixed a bug onMyRPObject handling method
- Added a progress bar for connect
- Added storage of username and password
- Added forest
- Added afterlive
- Added GUI
- Changed XP reward for each creature
- Changed Rat, Cave rat, Wolf and Orc RP attributes.
- Added Level attribute.
- Fixed portal collision bug


0.12 
May 22, 2005

- Fixed a severe bug that happens when a creature respawn over a player.
- Disabled the attack yourself feature
- Added reward for player killing
- Correctly assign XP for sheep
- NPC don't repeat text on zone change any more
- Better rendering order
- Corpses are now under everything
- Improved client speed


0.11: Monsters, dungeons and eXPerience
May 20, 2005

- Added Rat
- Added Cave Rat
- Added dungeon
- Added portal
- Added Beggar
- Improved Welcomer messages
- Improved A*
- Fixed sheep AI
- Improved Creatures AI
- Added RP combat system: ATK, DEF, XP and HP
- Added Level and XP awards
- Fixed rendering order


0.10 
May 12, 2005

- Color game dialog log console.
- Major server and client refactoring
- True attack system
- True dead
- Added Wolf
- Improved sheep movement
- Optimized A*
- Major bug fixes


0.03 
Apr 28, 2005

- Added A*
- Fixed a bug with Sheep weight due to signed/unsigned
- Fixed Sheep movement
- Added Patrol action
- Added follow path
- Fixed collision detection area
- Game Chat dialog opens with Ctrl+L
- NPC counts sheeps sold and bought
- Client reconnect on out of sync
- A single text line is visible now
- Combat icon is centered on the bottom right corner.
- Optional collision detection boxes.


0.02: Sheeps and food
Apr 17, 2005

- Fixed a problem related to message sorting
- Removed EntryPointNotFoundException
- Added sheep
- Better NPC interaction
- Better player movement
- Combat feedback
- Better collision detection
- Added chat dialog


0.01
Apr 05, 2005

- Added bigger maps
- Changed the way maps are loaded
- Better screen movement
- Mouse interaction support
- Player can chat, move and change zone
- More intutive change zone feature
- Refactored server code to use Java objects
- Added collision detection
- Added GUI


0.00 Mar 01, 2005

- Initial release
